Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade.actions
Class LibrarySessionAction

    java.lang.Object
      oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
          oracle.ifs.admin.tools.upgrade.actions.LibrarySessionAction

All Implemented Interfaces:
  UpgradeAction

Direct Known Subclasses:
  AddAttributeAction, FreeClassObjectAction, FreeServerConfigurationAction, RemoveAttributeAction

    public abstract class LibrarySessionAction

extends AbstractUpgradeAction

Abstract class for performing operations against a LibrarySession.

If not already started, a LibraryService is started by calling the `getDefaultLibraryService` method of UpgradeActionContext.

A LibrarySession is created for the "`system`" user. In creating the LibrarySession, `schema upgrade mode` is set. The LibrarySession is initially in `user execution mode`.

Properties:

- `PreventSessionTimeouts`: whether to prevent session timeouts, or null for true

This class is thread-safe when the schema upgrade is performed through the `UpgradeDriverManager` interface.

(Unpublished)

Field Summary
`protected static java.lang.String` | `PROPERTY_PREVENTSESSIONTIMEOUTS` The property whose boolean value is whether to `prevent session timeouts`, or null for true.

Constructor Summary
`LibrarySessionAction()`

Method Summary
`static void` | `abortTransaction(LibrarySession session, Transaction tx)` Aborts the specified transaction, logging any exception.
`void` | `analyze()` Subclasses should override `LibrarySessionAction.analyze(LibrarySession)`.
`protected void` | `analyze(LibrarySession session)` Called by `analyze`.
`void` | `postUpgrade()` Subclasses should override `LibrarySessionAction.postUpgrade(LibrarySession)`.
`protected void` | `postUpgrade(LibrarySession session)` Called by `postUpgrade`.
`void` | `preUpgrade()` Subclasses should override `LibrarySessionAction.preUpgrade(LibrarySession)`.
`protected void` | `preUpgrade(LibrarySession session)` Called by `preUpgrade`.
`void` | `rollback(boolean downgrade)` Subclasses should override `LibrarySessionAction.rollback(LibrarySession, boolean)`.
`protected void` | `rollback(LibrarySession session, boolean downgrade)` Called by `rollback`.
`void` | `upgrade()` Subclasses should override `LibrarySessionAction.upgrade(LibrarySession)`.
`protected void` | `upgrade(LibrarySession session)` Called by `upgrade`.

Methods inherited from class oracle.ifs.admin.tools.upgrade.actions.AbstractUpgradeAction
`getName, getProperties, getProperty, getUpgradeActionContext, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_PREVENTSESSIONTIMEOUTS

    protected static final java.lang.String PROPERTY_PREVENTSESSIONTIMEOUTS

  Description copied from class: `LibrarySessionAction`
  The property whose boolean value is whether to `prevent session timeouts`, or null for true.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### LibrarySessionAction

    public LibrarySessionAction()

Method Detail

### analyze

    public final void analyze()
                       throws IfsException

  Description copied from class: `LibrarySessionAction`
  Subclasses should override `LibrarySessionAction.analyze(LibrarySession)`.

  Specified by:
    `analyze` in interface `UpgradeAction`
  Overrides:
    `analyze` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82101: if the operation fails
  (Unpublished)

### preUpgrade

    public final void preUpgrade()
                          throws IfsException

  Description copied from class: `LibrarySessionAction`
  Subclasses should override `LibrarySessionAction.preUpgrade(LibrarySession)`.

  Specified by:
    `preUpgrade` in interface `UpgradeAction`
  Overrides:
    `preUpgrade` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82102: if the operation fails
  (Unpublished)

### upgrade

    public final void upgrade()
                       throws IfsException

  Description copied from class: `LibrarySessionAction`
  Subclasses should override `LibrarySessionAction.upgrade(LibrarySession)`.

  Specified by:
    `upgrade` in interface `UpgradeAction`
  Overrides:
    `upgrade` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82103: if the operation fails
  (Unpublished)

### postUpgrade

    public final void postUpgrade()
                           throws IfsException

  Description copied from class: `LibrarySessionAction`
  Subclasses should override `LibrarySessionAction.postUpgrade(LibrarySession)`.

  Specified by:
    `postUpgrade` in interface `UpgradeAction`
  Overrides:
    `postUpgrade` in class `AbstractUpgradeAction`
  Throws:
    `IfsException` - 82104: if the operation fails
  (Unpublished)

### rollback

    public final void rollback(boolean downgrade)
                        throws IfsException

  Description copied from class: `LibrarySessionAction`
  Subclasses should override `LibrarySessionAction.rollback(LibrarySession, boolean)`.

  Specified by:
    `rollback` in interface `UpgradeAction`
  Overrides:
    `rollback` in class `AbstractUpgradeAction`
  Parameters:
    `downgrade` - whether the rollback is being performed as part of a downgrade
  Throws:
    `IfsException` - 82105: if the operation fails
  (Unpublished)

### analyze

    protected void analyze(LibrarySession session)
                    throws IfsException

  Description copied from class: `LibrarySessionAction`
  Called by `analyze`.

  Subclasses should override this method to perform the analysis phase of the upgrade action.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### preUpgrade

    protected void preUpgrade(LibrarySession session)
                       throws IfsException

  Description copied from class: `LibrarySessionAction`
  Called by `preUpgrade`.

  Subclasses should override this method to perform the pre-upgrade phase of the upgrade action.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### upgrade

    protected void upgrade(LibrarySession session)
                    throws IfsException

  Description copied from class: `LibrarySessionAction`
  Called by `upgrade`.

  Subclasses should override this method to perform the upgrade phase of the upgrade action.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### postUpgrade

    protected void postUpgrade(LibrarySession session)
                        throws IfsException

  Description copied from class: `LibrarySessionAction`
  Called by `postUpgrade`.

  Subclasses should override this method to perform the post-upgrade phase of the upgrade action.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### rollback

    protected void rollback(LibrarySession session,
                            boolean downgrade)
                     throws IfsException

  Description copied from class: `LibrarySessionAction`
  Called by `rollback`.

  Subclasses should override this method to rollback the analysis and pre-upgrade phases of the upgrade action.

  Parameters:
    `downgrade` - whether the rollback is being performed as part of a downgrade
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### abortTransaction

    public static void abortTransaction(LibrarySession session,
                                        Transaction tx)

  Description copied from class: `LibrarySessionAction`
  Aborts the specified transaction, logging any exception.

  Parameters:
    `session` - the session, or null
    `tx` - the transaction, or null
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD